## libkipi 4.13.0

=== CMakeLists.txt ===
# ===========================================================
#
# This file is a part of digiKam project
# <a href="http://www.digikam.org">http://www.digikam.org</a>
#
# @date   2004-02-01
# @brief  KDE Image Plugin Interface
#
# @author Copyright (C) 2004-2012 by Gilles Caulier
#         <a href="mailto:caulier dot gilles at gmail dot com">caulier dot gilles at gmail dot com</a>
# @author Copyright (C) 2012 by Victor Dodon
#         <a href="mailto:dodonvictor at gmail dot com">dodonvictor at gmail dot com</a>
#
# This program is free software; you can redistribute it
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation;
# either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# ============================================================

PROJECT(libkipi)

MESSAGE(STATUS "----------------------------------------------------------------------------------")
MESSAGE(STATUS "Starting CMake configuration for: libkipi")

FIND_PACKAGE(KDE4 REQUIRED)

INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)
INCLUDE(MacroOptionalAddSubdirectory)
INCLUDE(MacroOptionalFindPackage)
INCLUDE(FindPackageHandleStandardArgs)

ADD_DEFINITIONS(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
ADD_DEFINITIONS(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

INCLUDE_DIRECTORIES (${QDBUS_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

SET(LIBKIPI_AREA_CODE_GENERAL 51000)
ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${LIBKIPI_AREA_CODE_GENERAL})

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.0.0
# 0.1.1 => 0.0.0
# 0.1.2 => 1.0.1
# 0.1.3 => 1.0.1
# 0.1.4 => 1.0.1
# 0.1.5 => 1.1.1
# 0.1.6 => 2.0.0
# 0.2.0 => 5.0.0  (released with KDE 4.1.0)
# 0.3.0 => 6.0.0  (released with KDE 4.2.0)
# 0.4.0 => 6.1.0  (released with KDE 4.3.0)
# 1.0.0 => 7.0.0  (released with KDE 4.4.0)
# 1.1.0 => 7.1.0  (released with KDE 4.5.0)
# 1.2.0 => 8.0.0  (released with KDE 4.6.0)
# 1.3.0 => 8.0.1  (released with KDE 4.7.1  - Set deprecated ImageInfo::title() and ImageInfo::setTitle(). Add ImageInfo::name() and ImageInfo::setName().
# 1.4.0 => 8.0.2  (released with KDE 4.8.0  - Add 2 new slots in ConfigWidget class).
# 1.5.0 => 9.0.0  (released with KDE 4.8.1  - Add Progress Manager feature support from Host application. Remove deprecated methods.
#                                             Add new deprecated methods in ImageInfo class: description(), setDescription(),
#                                             angle(), and setAngle()).
# 1.6.0 => 9.1.0  (released with KDE 4.8.1  - Minor API fix)
# 2.0.0 => 10.0.0 (released with KDE 4.10.0 - Including GoSC2012)
# 2.1.0 => 11.0.0 (released with KDE 4.11.0 - Add edit hints)

# Library API version
SET(KIPI_LIB_MAJOR_VERSION "2")
SET(KIPI_LIB_MINOR_VERSION "1")
SET(KIPI_LIB_PATCH_VERSION "0")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
SET(KIPI_LIB_SUFFIX_VERSION "")

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
SET(KIPI_LIB_SO_CUR_VERSION "11")
SET(KIPI_LIB_SO_REV_VERSION "0")
SET(KIPI_LIB_SO_AGE_VERSION "0")

# =======================================================
# Set env. variables accordinly.

SET(KIPI_LIB_VERSION_STRING "${KIPI_LIB_MAJOR_VERSION}.${KIPI_LIB_MINOR_VERSION}.${KIPI_LIB_PATCH_VERSION}${KIPI_LIB_SUFFIX_VERSION}")
SET(KIPI_LIB_VERSION_ID "0x0${KIPI_LIB_MAJOR_VERSION}0${KIPI_LIB_MINOR_VERSION}0${KIPI_LIB_PATCH_VERSION}")

SET(KIPI_LIB_SO_VERSION_STRING "${KIPI_LIB_SO_CUR_VERSION}.${KIPI_LIB_SO_REV_VERSION}.${KIPI_LIB_SO_AGE_VERSION}")

# =======================================================

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

ADD_SUBDIRECTORY(pics)
ADD_SUBDIRECTORY(libkipi)

# kipi host test application to check the plugins
IF(KDE4_BUILD_TESTS)
    ADD_SUBDIRECTORY(tests)
ENDIF(KDE4_BUILD_TESTS)

IF(NOT WIN32)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libkipi.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libkipi.pc)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libkipi.lsm.cmake ${CMAKE_CURRENT_BINARY_DIR}/libkipi.lsm)
  INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libkipi.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )
ENDIF(NOT WIN32)

# desktop file which define plugin service model, used by tool from kipi-plugins.
INSTALL(FILES kipiplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== libkipi/CMakeLists.txt ===
# ===========================================================
#
# This file is a part of digiKam project
# <a href="http://www.digikam.org">http://www.digikam.org</a>
#
# @date   2004-02-01
# @brief  KDE Image Plugin Interface
#
# @author Copyright (C) 2004-2012 by Gilles Caulier
#         <a href="mailto:caulier dot gilles at gmail dot com">caulier dot gilles at gmail dot com</a>
#
# This program is free software; you can redistribute it
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation;
# either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# ============================================================

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

SET(kipi_LIB_SRCS pluginloader.cpp
                  interface.cpp
                  imagecollection.cpp
                  imagecollectionshared.cpp
                  imageinfoshared.cpp
                  plugin.cpp
                  imageinfo.cpp
                  uploadwidget.cpp
                  configwidget.cpp
                  configwidget_p.cpp
                  imagecollectionselector.cpp
   )

KDE4_ADD_LIBRARY(kipi SHARED ${kipi_LIB_SRCS})

TARGET_LINK_LIBRARIES(kipi
                      ${KDE4_KPARTS_LIBS}
                      ${KDE4_KFILE_LIBS}
                      ${QT_QTGUI_LIBRARY}
                     )

SET_TARGET_PROPERTIES(kipi PROPERTIES VERSION ${KIPI_LIB_SO_VERSION_STRING} SOVERSION ${KIPI_LIB_SO_CUR_VERSION})

INSTALL(TARGETS kipi ${INSTALL_TARGETS_DEFAULT_ARGS} )

# Check if compilation is done through digiKam SC or not. If yes, do not install header files.
IF(NOT DIGIKAMSC_USE_PRIVATE_KDEGRAPHICS)

    INSTALL(FILES plugin.h
                  pluginloader.h
                  interface.h
                  imageinfo.h
                  imagecollection.h
                  imageinfoshared.h
                  imagecollectionshared.h
                  imagecollectionselector.h
                  uploadwidget.h
                  configwidget.h
                  libkipi_export.h
                  ${CMAKE_CURRENT_BINARY_DIR}/version.h
            DESTINATION ${INCLUDE_INSTALL_DIR}/libkipi
            COMPONENT Devel
           )
ENDIF()

=== tests/kxmlhelloworld/CMakeLists.txt ===
# ============================================================
#
# This file is a part of digiKam project
# http://www.digikam.org
#
# Date        : 2012-02-16
# Description : a Hello World plugin using KDE XML-GUI techlnology.
#
# Copyright (C) 2012 by Gilles Caulier <caulier dot gilles at gmail dot com>
# Copyright (C) 2012 by Victor Dodon <dodonvictor at gmail dot com>
#
# This program is free software; you can redistribute it
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation;
# either version 2, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# ============================================================

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/plugin
                    ${CMAKE_CURRENT_SOURCE_DIR}/widgets
                    ${CMAKE_CURRENT_BINARY_DIR}/../../libkipi
                    ${CMAKE_CURRENT_SOURCE_DIR}/../../libkipi
                    ${CMAKE_CURRENT_BINARY_DIR}
                   )

SET(kipiplugin_kxmlhelloworld_PART_SRCS
    plugin/plugin_kxmlhelloworld.cpp)

KDE4_ADD_PLUGIN(kipiplugin_kxmlhelloworld ${kipiplugin_kxmlhelloworld_PART_SRCS})

TARGET_LINK_LIBRARIES(kipiplugin_kxmlhelloworld
                      ${KDE4_KPARTS_LIBS}
                      ${QT_AND_KDECORE_LIBS}
                      ${KIPI_LIBRARIES}
                      kipi
                     )

CONFIGURE_FILE(plugin/kipiplugin_kxmlhelloworld.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plugin/kipiplugin_kxmlhelloworld.desktop)

INSTALL(FILES   ${CMAKE_CURRENT_BINARY_DIR}/plugin/kipiplugin_kxmlhelloworld.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(TARGETS kipiplugin_kxmlhelloworld                                            DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES   plugin/kipiplugin_kxmlhelloworldui.rc                                DESTINATION ${DATA_INSTALL_DIR}/kipi)

## libkipi 4.7.1

=== debian/changelog ===
libkipi (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:15:56 +0200

libkipi (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Wed, 07 Sep 2011 18:09:39 +0200

libkipi (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstrem release 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 22 Jul 2011 23:18:22 +0200

libkipi (4:4.6.90+repack-0ubuntu3) oneiric; urgency=low

  * Set maintainer to Kubuntu Developers.
  * Add epoch to breaks/replaces to fix overwrite errors.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 13 Jul 2011 16:20:07 +0200

libkipi (4:4.6.90+repack-0ubuntu2) oneiric; urgency=low

  * libkipi-dbg: don't suggest libkipi8 as it already depends on it.
  * Make libkipi8 depend on libkipi-data.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 12 Jul 2011 22:44:53 +0200

libkipi (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * Initial release
  * Repacked tarball to include a copy of LGPL-2

  [ Felix Geyer ]
  * Bump Stadnards-Version to 3.9.2.
  * Build-depend on kde-sc-dev-latest.

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 11 Jul 2011 14:25:37 +0200

=== debian/control ===
Source: libkipi
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               kde-sc-dev-latest (>= 4:4.7.1),
               kdelibs5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkipi
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkipi

Package: libkipi-dev
Section: libdevel
Architecture: any
Depends: libkipi8 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkipi8}
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: library for apps that want to use kipi-plugins (development version)
 Libkipi is a library
 .
  o that contains common routines and widget used by kipi-plugins
  o to ease implementation of the kipi-plugins interface in an application
    that wants to use kipi-plugins
 .
 This pkg contains development files and documentation for libkipi library.

Package: libkipi8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkipi-data (>= ${source:Version})
Description: library for apps that want to use kipi-plugins (runtime version)
 Libkipi is a library
 .
  o that contains common routines and widget used by kipi-plugins
  o to ease implementation of the kipi-plugins interface in an application
    that wants to use kipi-plugins

Package: libkipi-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
          libkdcraw5,
          libkipi0,
          libkipi5,
          libkipi6
Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkipi0, libkipi5, libkipi6
Description: data files for kipi libraries
 This package contains data files needed by libraries built from the kipi
 library.
 .
 This package is part of the KDE kipi library.

Package: libkipi-dbg
Section: debug
Architecture: any
Priority: extra
Breaks: kdegraphics-dbg (<< 4:4.6.80)
Replaces: kdegraphics-dbg (<< 4:4.6.80)
Depends: kde-runtime-dbg, libkipi8 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the kipi library
 This package contains debugging files used to investigate problems with
 libraries included in the KDE kipi module

## libkipi 4.7.2

=== debian/changelog ===
libkipi (4:4.7.2-1) experimental; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

  [ Pino Toscano ]
  * Improve/rewrite some package descriptions. (Closes: #636098)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:46:07 -0300

=== debian/control ===
Source: libkipi
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake,
 debhelper (>= 7.0.50~),
 kde-sc-dev-latest (>= 4:4.7.2),
 kdelibs5-dev (>= 4:4.7),
 pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkipi.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkipi.git

Package: libkipi-dev
Section: libdevel
Architecture: any
Depends: libkipi8 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkipi8}
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: KDE Image Plugin Interface library -- development files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the development files for using the kipi library,
 and documentation for it (in the header files).

Package: libkipi8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkipi-data (>= ${source:Version})
Description: KDE Image Plugin Interface library
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the kipi library.

Package: libkipi-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
 libkdcraw5,
 libkipi0,
 libkipi5,
 libkipi6
Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkipi0, libkipi5, libkipi6
Description: KDE Image Plugin Interface library -- data files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package contains the data files of the kipi library.

Package: libkipi-dbg
Section: debug
Architecture: any
Priority: extra
Breaks: kdegraphics-dbg (<< 4:4.6.80)
Replaces: kdegraphics-dbg (<< 4:4.6.80)
Depends: kde-runtime-dbg, libkipi8 (= ${binary:Version}), ${misc:Depends}
Description: KDE Image Plugin Interface library -- debugging symbols
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only), batch editing, etc.
 .
 This package contains the debugging files used to investigate problems with
 the kipi library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkipi-dbg

## libkipi 4.7.4

=== debian/changelog ===
libkipi (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 11:57:20 -0500

libkipi (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 12 Oct 2011 15:27:58 +0200

=== debian/control ===
Source: libkipi
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               kde-sc-dev-latest (>= 4:4.7.4),
               kdelibs5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkipi
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkipi

Package: libkipi-dev
Section: libdevel
Architecture: any
Depends: libkipi8 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkipi8}
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: library for apps that want to use kipi-plugins (development version)
 Libkipi is a library
 .
  o that contains common routines and widget used by kipi-plugins
  o to ease implementation of the kipi-plugins interface in an application
    that wants to use kipi-plugins
 .
 This pkg contains development files and documentation for libkipi library.

Package: libkipi8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkipi-data (>= ${source:Version})
Description: library for apps that want to use kipi-plugins (runtime version)
 Libkipi is a library
 .
  o that contains common routines and widget used by kipi-plugins
  o to ease implementation of the kipi-plugins interface in an application
    that wants to use kipi-plugins

Package: libkipi-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
          libkdcraw5,
          libkipi0,
          libkipi5,
          libkipi6
Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkipi0, libkipi5, libkipi6
Description: data files for kipi libraries
 This package contains data files needed by libraries built from the kipi
 library.
 .
 This package is part of the KDE kipi library.

Package: libkipi-dbg
Section: debug
Architecture: any
Priority: extra
Breaks: kdegraphics-dbg (<< 4:4.6.80)
Replaces: kdegraphics-dbg (<< 4:4.6.80)
Depends: kde-runtime-dbg, libkipi8 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the kipi library
 This package contains debugging files used to investigate problems with
 libraries included in the KDE kipi module

## libkipi 4.8.2

=== debian/changelog ===
libkipi (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:46:00 +0200

libkipi (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 18:30:09 +0100

libkipi (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:26 +0000

libkipi (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:15:00 +0000

libkipi (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 14:50:31 +0100

libkipi (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 14:37:08 +0000

libkipi (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 09 Nov 2011 18:55:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 7.0.50~),
-               kde-sc-dev-latest (>= 4:4.7.4),
-               kdelibs5-dev,
+               kde-sc-dev-latest (>= 4:4.8.2),
+               kdelibs5-dev (>= 4:4.8.1),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.2
 Section: libs

## libkipi 4.8.4

=== debian/changelog ===
libkipi (4:4.8.4-1) unstable; urgency=low

  * New upstream
  * Update symbol files; a couple of new symbols
  * Adjust installed files

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 21:45:23 +0200

libkipi (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 10:44:13 +0100

libkipi (4:4.7.4-1) experimental; urgency=low

  * New upstream relese.
  
  [ Pino Toscano ]
  * Fix typos in descriptions. (Closes: #651200)

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 00:15:04 +0100

=== debian/control ===
Source: libkipi
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake,
 debhelper (>= 7.0.50~),
 kde-sc-dev-latest (>= 4:4.7.4),
 kdelibs5-dev (>= 4:4.7),
 pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkipi.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkipi.git

Package: libkipi-dev
Section: libdevel
Architecture: any
Depends: libkipi8 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkipi8}
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: KDE Image Plugin Interface library -- development files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the development files for using the kipi library,
 and documentation for it (in the header files).

Package: libkipi8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkipi-data (>= ${source:Version})
Description: KDE Image Plugin Interface library
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the kipi library.

Package: libkipi-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
 libkdcraw5,
 libkipi0,
 libkipi5,
 libkipi6
Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkipi0, libkipi5, libkipi6
Description: KDE Image Plugin Interface library -- data files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package contains the data files of the kipi library.

Package: libkipi-dbg
Section: debug
Architecture: any
Priority: extra
Breaks: kdegraphics-dbg (<< 4:4.6.80)
Replaces: kdegraphics-dbg (<< 4:4.6.80)
Depends: kde-runtime-dbg, libkipi8 (= ${binary:Version}), ${misc:Depends}
Description: KDE Image Plugin Interface library -- debugging symbols
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 This package contains the debugging files used to investigate problems with
 the kipi library.

## libkipi 4.8.5

=== debian/changelog ===
libkipi (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  [ Scott Kitterman ]
  * New upstream bugfix release (LP: #1047417)

  [ Felix Geyer ]
  * Make libkipi-data break/replace libkipi7 due to file conflicts.
    (LP: #1041766)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 07 Sep 2012 16:53:26 +0200

libkipi (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:42:08 +0200

libkipi (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 17:27:57 +0200

=== debian/control ===
Source: libkipi
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               kde-sc-dev-latest (>= 4:4.8.5),
               kdelibs5-dev (>= 4:4.8.1),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkipi
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkipi

Package: libkipi-dev
Section: libdevel
Architecture: any
Depends: libkipi8 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkipi8}
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: library for apps that want to use kipi-plugins (development version)
 Libkipi is a library
 .
  o that contains common routines and widget used by kipi-plugins
  o to ease implementation of the kipi-plugins interface in an application
    that wants to use kipi-plugins
 .
 This pkg contains development files and documentation for libkipi library.

Package: libkipi8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkipi-data (>= ${source:Version})
Description: library for apps that want to use kipi-plugins (runtime version)
 Libkipi is a library
 .
  o that contains common routines and widget used by kipi-plugins
  o to ease implementation of the kipi-plugins interface in an application
    that wants to use kipi-plugins

Package: libkipi-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
          libkdcraw5,
          libkipi0,
          libkipi5,
          libkipi6,
          libkipi7
Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkipi0, libkipi5, libkipi6, libkipi7
Description: data files for kipi libraries
 This package contains data files needed by libraries built from the kipi
 library.
 .
 This package is part of the KDE kipi library.

Package: libkipi-dbg
Section: debug
Architecture: any
Priority: extra
Breaks: kdegraphics-dbg (<< 4:4.6.80)
Replaces: kdegraphics-dbg (<< 4:4.6.80)
Depends: kde-runtime-dbg, libkipi8 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the kipi library
 This package contains debugging files used to investigate problems with
 libraries included in the KDE kipi module

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
-
-override_dh_makeshlibs:
-	$(overridden_command) -- -c0
 
 override_dh_shlibdeps:
 	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime

## libkipi 4.9.2

=== debian/changelog ===
libkipi (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:35:21 +0100

libkipi (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 Sep 2012 14:46:57 +0530

libkipi (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:15:03 +0100

libkipi (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 18:07:33 +0200

libkipi (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release
    - replace libkipi8 with libkipi9 for new ABI version
    - refresh libkipi9.symbols
    - drop breaks/replaces against kdebindings-dbg in debug package,
      not needed anymore

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 May 2012 13:42:21 +0200

libkipi (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 17:27:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 Build-Depends: cmake,
-               debhelper (>= 7.0.50~),
-               kde-sc-dev-latest (>= 4:4.8.5),
-               kdelibs5-dev (>= 4:4.8.1),
+               debhelper (>= 7.0.50~),               
+               kdelibs5-dev (>= 4:4.9.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.2
 Section: libs
@@ -16,10 +15,10 @@
 Package: libkipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkipi8 (= ${binary:Version}),
+Depends: libkipi9 (= ${binary:Version}),
          pkg-config,
          ${misc:Depends},
-         ${sameVersionDep:kdelibs5-dev:libkipi8}
+         ${sameVersionDep:kdelibs5-dev:libkipi9}
 Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
 Description: library for apps that want to use kipi-plugins (development version)
  Libkipi is a library
@@ -30,7 +29,7 @@
  .
  This pkg contains development files and documentation for libkipi library.
 
-Package: libkipi8
+Package: libkipi9
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libkipi-data (>= ${source:Version})
 Description: library for apps that want to use kipi-plugins (runtime version)
@@ -47,9 +46,8 @@
           libkdcraw5,
           libkipi0,
           libkipi5,
-          libkipi6,
-          libkipi7
-Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkipi0, libkipi5, libkipi6, libkipi7
+          libkipi6
+Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkipi0, libkipi5, libkipi6
 Description: data files for kipi libraries
  This package contains data files needed by libraries built from the kipi
  library.
@@ -60,9 +58,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Breaks: kdegraphics-dbg (<< 4:4.6.80)
-Replaces: kdegraphics-dbg (<< 4:4.6.80)
-Depends: kde-runtime-dbg, libkipi8 (= ${binary:Version}), ${misc:Depends}
+Depends: kde-runtime-dbg, libkipi9 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the kipi library
  This package contains debugging files used to investigate problems with
  libraries included in the KDE kipi module

## libkipi 4.9.3

=== debian/changelog ===
libkipi (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:40:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 7.0.50~),               
-               kdelibs5-dev (>= 4:4.9.2),
+               kdelibs5-dev (>= 4:4.9.3),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.2
 Section: libs

## libkipi 4.10.0

=== debian/changelog ===
libkipi (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:08:26 +0000

libkipi (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:59:47 +0000

libkipi (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:20:48 +0100

libkipi (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:11:30 +0000

libkipi (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:11:41 +0000

libkipi (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scott Kitterman ]
  * Rename libkipi9 to libkipi10 to match soname change:
    - Update debian/control
    - Rename install/symbols files
  * Update libkipi-dev.install to match include files currently shipped
    - Add configwidget.h
    - Drop exportinterface.h and extension.h
  * Updated symbols file
  * Document files not shipped by Kubuntu in debian/not-installed

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 11:40:48 -0500

libkipi (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:44:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 7.0.50~),               
-               kdelibs5-dev (>= 4:4.9.3),
+               kdelibs5-dev (>= 4:4.10.0),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.2
 Section: libs
@@ -15,10 +15,10 @@
 Package: libkipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkipi9 (= ${binary:Version}),
+Depends: libkipi10 (= ${binary:Version}),
          pkg-config,
          ${misc:Depends},
-         ${sameVersionDep:kdelibs5-dev:libkipi9}
+         ${sameVersionDep:kdelibs5-dev:libkipi10}
 Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
 Description: library for apps that want to use kipi-plugins (development version)
  Libkipi is a library
@@ -29,7 +29,7 @@
  .
  This pkg contains development files and documentation for libkipi library.
 
-Package: libkipi9
+Package: libkipi10
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libkipi-data (>= ${source:Version})
 Description: library for apps that want to use kipi-plugins (runtime version)
@@ -58,7 +58,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: kde-runtime-dbg, libkipi9 (= ${binary:Version}), ${misc:Depends}
+Depends: kde-runtime-dbg, libkipi10 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the kipi library
  This package contains debugging files used to investigate problems with
  libraries included in the KDE kipi module

## libkipi 4.10.2

=== debian/changelog ===
libkipi (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update docs

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:32:27 +0200

libkipi (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:43:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 7.0.50~),               
-               kdelibs5-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.2
 Section: libs

## libkipi 4.11.2

=== debian/changelog ===
libkipi (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:47:49 +0100

libkipi (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:35:54 +0100

libkipi (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:52:02 +0100

libkipi (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:58:03 +0100

libkipi (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:22 +0000

libkipi (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:27:12 +0100

libkipi (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Replace libkipi10 with libkipi11 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:43:33 +0100

libkipi (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:47:07 +0100

libkipi (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:52 +0000

libkipi (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Josep Febrer Salord ]
  * Bump kde-sc-dev-latest build dependency to 4:4.10.2.
  * Bump kdelibs5-dev build dependency to 4:4.10.2.
  * Add new package libkipi10 and remove libkipi8.
  * Pass -DKDE4_BUILD_TESTS=false to cmake to keep the tests disabled.
  * Remove NEWS file from docs as it has been removed upstream.
  * Update libkipi-dev.install.
  * Create libkipi10.symbols.
  * Update copyright file.

  [ Sune Vuorela ]
  * Update uploaders

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 23:10:13 +0000

=== debian/control ===
Source: libkipi
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>
Build-Depends: cmake,
 debhelper (>= 7.0.50~),
 kde-sc-dev-latest (>= 4:4.10.2),
 kdelibs5-dev (>= 4:4.11.2),
 pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkipi
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkipi
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkipi.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkipi.git

Package: libkipi-dev
Section: libdevel
Architecture: any
Depends: libkipi11 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkipi11}
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: KDE Image Plugin Interface library -- development files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the development files for using the kipi library,
 and documentation for it (in the header files).

Package: libkipi11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkipi-data (>= ${source:Version})
Description: KDE Image Plugin Interface library
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the kipi library.

Package: libkipi-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
 libkdcraw5,
 libkipi0,
 libkipi5,
 libkipi6
Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkipi0, libkipi5, libkipi6
Description: KDE Image Plugin Interface library -- data files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package contains the data files of the kipi library.

Package: libkipi-dbg
Section: debug
Architecture: any
Priority: extra
Breaks: kdegraphics-dbg (<< 4:4.6.80)
Replaces: kdegraphics-dbg (<< 4:4.6.80)
Depends: kde-runtime-dbg, libkipi11 (= ${binary:Version}), ${misc:Depends}
Description: KDE Image Plugin Interface library -- debugging symbols
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 This package contains the debugging files used to investigate problems with
 the kipi library.

## libkipi 4.11.3

=== debian/changelog ===
libkipi (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 12:38:27 +0100

libkipi (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Bump lib package soname.
  * Add symbols file for libkipi11.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 12:14:50 +0200

libkipi (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 12:59:56 +0200

libkipi (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Add watch file.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 13:48:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: libkipi
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
- debhelper (>= 7.0.50~),
- kde-sc-dev-latest (>= 4:4.10.2),
- kdelibs5-dev (>= 4:4.11.2),
+ debhelper (>= 9),
+ kde-sc-dev-latest (>= 4:4.11),
+ kdelibs5-dev (>= 4:4.11),
  pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkipi
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkipi
-X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkipi.git
-X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkipi.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkipi.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkipi.git
 
 Package: libkipi-dev
 Section: libdevel
